Skip to main content

Get Check PDF File

Suggest Edits


Overview

The Get Check PDF File function allows merchants to obtain a duplicate of the printed check for their records.

info

The check PDF file is available as soon as the check is printed. Please note that postdated checks are printed and sent at a later date.


Resource Access

Production (api.ahrvo.network)

POST https://api.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?GetCheckPDFFile

Staging (gateway.ahrvo.network)

POST https://gateway.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?GetCheckPDFFile

Arguments

AttributeMandatory / Optional
merchantTransIDMandatory
base64Optional
inBehalfOptional
returnAttachedDocumentsOptional

Example Request (File Stream)

curl -X POST https://gateway.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?GetCheckPDFFile \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {jwtToken}" \
-H "x-api-key: {apiKey}" \
-d '{
"merchantTransID": "mtid-50022",
"base64": false,
"inBehalf": ""
}' \
--output check.pdf

Example Request (Base64)

curl -X POST https://gateway.ahrvo.network/banking/echecks/apiServices/uploadChecks.php?GetCheckPDFFile \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {jwtToken}" \
-H "x-api-key: {apiKey}" \
-d '{
"merchantTransID": "mtid-50022",
"base64": true,
"inBehalf": "",
"returnAttachedDocuments": false
}'

Example Response (Base64)

{
"file": "Base64EncodedStringOrFileStream",
"contentType": "application/pdf",
"contentDisposition": "attachment; filename=\"mtid-50021.pdf\""
}

Example Error Response

{
"errorCode": 26,
"errorMessage": "The check was not printed yet."
}

API Documentation